Face results

- Combined results of face detector, face mesh, age, gender, emotion, embedding, iris models
- Some values may be null if specific model is not enabled

### Hierarchy

- FaceResult

## Index

### Properties

- age
- annotations
- box
- boxRaw
- boxScore
- embedding
- emotion
- faceScore
- gender
- genderScore
- id
- iris
- mesh
- meshRaw
- real
- rotation
- score
- tensor

## Properties

### Optional age

age?: number

- Defined in src/result.ts:37

detected age

### annotations

annotations: Record<string, Point[]>

- Defined in src/result.ts:35

mesh keypoints combined into annotated results

### box

box: Box

- Defined in src/result.ts:27

detected face box

### boxRaw

boxRaw: Box

- Defined in src/result.ts:29

detected face box normalized to 0..1

### boxScore

boxScore: number

- Defined in src/result.ts:23

detection score

### Optional embedding

embedding?: number[]

- Defined in src/result.ts:45

face descriptor

### Optional emotion

emotion?: { emotion: string; score: number }[]

- Defined in src/result.ts:43

detected emotions

### faceScore

faceScore: number

- Defined in src/result.ts:25

mesh score

### Optional gender

gender?: string

- Defined in src/result.ts:39

detected gender

### Optional genderScore

genderScore?: number

- Defined in src/result.ts:41

gender detection score

### id

id: number

- Defined in src/result.ts:19

face id

### Optional iris

iris?: number

- Defined in src/result.ts:47

face iris distance from camera

### mesh

mesh: Point[]

- Defined in src/result.ts:31

detected face mesh

### meshRaw

meshRaw: Point[]

- Defined in src/result.ts:33

detected face mesh normalized to 0..1

### Optional real

real?: number

- Defined in src/result.ts:49

face anti-spoofing result confidence

### Optional rotation

rotation?: { angle: { pitch: number; roll: number; yaw: number }; gaze: { bearing: number; strength: number }; matrix: [number, number, number, number, number, number, number, number, number] }

- Defined in src/result.ts:51

face rotation details

#### Type declaration

- ##### angle: { pitch: number; roll: number; yaw: number }

  - ##### pitch: number

  - ##### roll: number

  - ##### yaw: number

- ##### gaze: { bearing: number; strength: number }

  - ##### bearing: number

  - ##### strength: number

- ##### matrix: [number, number, number, number, number, number, number, number, number]

### score

score: number

- Defined in src/result.ts:21

overall face score

### Optional tensor

tensor?: Tensor<Rank>

- Defined in src/result.ts:57

detected face as tensor that can be used in further pipelines